package de.accso.flexinale.data.persistence;

import org.springframework.data.annotation.Immutable;

import java.util.Collection;
import java.util.Optional;

@Immutable
@SuppressWarnings("unused")
public interface AbstractDao<E> {
    E save(E entity);

    Collection<E> findAll();

    Optional<E> findById(final String id);

    void delete(final E entity);

    void deleteAll();
}
